Package: org.codehaus.groovy.ast.stmt

## [Java] Class IfStatement

- org.codehaus.groovy.ast.stmt.IfStatement

-     public class IfStatement
      extends Statement

  Represents an if (condition) { ... } else { ... } statement in Groovy.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BooleanExpression` | `getBooleanExpression()`
    `` | `public Statement` | `getElseBlock()`
    `` | `public Statement` | `getIfBlock()`
    `` | `public String` | `getText()`
    `` | `public void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `` | `public void` | `setElseBlock(Statement statement)`
    `` | `public void` | `setIfBlock(Statement statement)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Statement getElseBlock()

    - #### public Statement getIfBlock()

    - #### @Override
      public String getText()

    - #### public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### public void setElseBlock(Statement statement)

    - #### public void setIfBlock(Statement statement)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)